curl --request PATCH \
--url https://flowker.sandbox.lerian.net/v1/executors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authentication": {
"type": "api_key",
"config": {
"key": "sk-live-abc123def456",
"header": "X-API-Key"
}
},
"baseUrl": "https://api.serasa.com.br/v2",
"endpoints": [
{
"method": "POST",
"name": "validate-identity",
"path": "/identity/validate",
"timeout": 30
}
],
"name": "Serasa KYC",
"description": "Serasa KYC provider for identity validation",
"metadata": {}
}
'import requests
url = "https://flowker.sandbox.lerian.net/v1/executors/{id}"
payload = {
"authentication": {
"type": "api_key",
"config": {
"key": "sk-live-abc123def456",
"header": "X-API-Key"
}
},
"baseUrl": "https://api.serasa.com.br/v2",
"endpoints": [
{
"method": "POST",
"name": "validate-identity",
"path": "/identity/validate",
"timeout": 30
}
],
"name": "Serasa KYC",
"description": "Serasa KYC provider for identity validation",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authentication: {type: 'api_key', config: {key: 'sk-live-abc123def456', header: 'X-API-Key'}},
baseUrl: 'https://api.serasa.com.br/v2',
endpoints: [
{
method: 'POST',
name: 'validate-identity',
path: '/identity/validate',
timeout: 30
}
],
name: 'Serasa KYC',
description: 'Serasa KYC provider for identity validation',
metadata: {}
})
};
fetch('https://flowker.sandbox.lerian.net/v1/executors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b2c3d4e5-f6a7-8901-bcde-f23456789012",
"name": "Serasa KYC",
"description": "Serasa identity validation service",
"baseUrl": "https://api.serasa.com.br/v2",
"endpoints": [
{
"name": "validate-identity",
"path": "/identity/validate",
"method": "POST",
"timeout": 30
}
],
"authentication": {
"type": "api_key",
"config": {
"key": "********",
"header": "X-API-Key"
}
},
"status": "active",
"metadata": {},
"createdAt": "2026-03-15T10:00:00Z",
"updatedAt": "2026-03-16T09:30:00Z",
"lastTestedAt": "2026-03-16T09:15:00Z"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}Atualizar uma configuração de executor
Utilize este endpoint para atualizar uma configuração de executor existente. Somente configurações com status unconfigured ou configured podem ser atualizadas.
Autorizações
Token bearer JWT emitido pelo provider de identidade. Envie-o no cabeçalho Authorization como Bearer <token>.
Parâmetros de caminho
Identificador único da configuração de executor.
Corpo
Corpo da solicitação contendo os detalhes atualizados da configuração de executor.
Show child attributes
Show child attributes
URL base do serviço externo.
500"https://api.serasa.com.br/v2"
Lista de endpoints HTTP expostos por este executor.
1Show child attributes
Show child attributes
Nome de exibição da configuração de executor.
1 - 100"Serasa KYC"
Descrição legível por humanos desta configuração de executor.
500"Serasa KYC provider for identity validation"
Pares chave-valor personalizados para etiquetagem.
Show child attributes
Show child attributes
Resposta
Indica que a solicitação foi bem-sucedida e a resposta contém os dados solicitados.
Show child attributes
Show child attributes
URL base do serviço externo.
"https://api.serasa.com.br/v2"
Marca temporal de quando a configuração foi criada.
"2026-03-15T10:00:00Z"
Descrição legível por humanos.
"Serasa identity validation service"
Lista de endpoints HTTP configurados.
Show child attributes
Show child attributes
Identificador único da configuração de executor.
"b2c3d4e5-f6a7-8901-bcde-f23456789012"
Marca temporal da última vez em que a configuração ficou verificada e pronta para ativação.
"2026-03-16T09:15:00Z"
Metadados personalizados.
Show child attributes
Show child attributes
Nome de exibição.
"Serasa KYC"
Status atual do ciclo de vida: unconfigured, configured, tested, active ou disabled.
"active"
Marca temporal da última atualização.
"2026-03-16T09:30:00Z"
Esta página foi útil?

